=== debian/changelog ===
ros-lunar-mavros-msgs (0.29.2-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Mar 2019 00:00:00 -0000

ros-lunar-mavros-msgs (0.29.1-0xenial) xenial; urgency=high

  * All: catkin lint files
  * mavros_msgs: Fix line endings for OpticalFlowRad message
  * Contributors: Pierre Kancir, sfalexrog

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2019 00:00:00 -0000

ros-lunar-mavros-msgs (0.29.0-0xenial) xenial; urgency=high

  * Fix broken documentation URLs
  * Merge branch 'master' into param-timeout
  * mavros_extras: Wheel odometry plugin updated according to the final mavlink WHEEL_DISTANCE message.
  * mavros_msgs: Float32ArrayStamped replaced by WheelOdomStamped.
  * mavros_msgs: Float32ArrayStamped message added.
    For streaming timestamped data from FCU sensors (RPM, WHEEL_DISTANCE, etc.)
  * msgs: Fix message id type, mavlink v2 uses 24 bit msg ids
  * mavros_msgs: add MessageInterval.srv to CMakeLists
  * sys_status: add set_message_interval service
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Pavlo Kolomiiets, Randy Mackay, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 02 Feb 2019 00:00:00 -0000

ros-lunar-mavros-msgs (0.28.0-0xenial) xenial; urgency=high

  * plugin:param: publish new param value
  * Merge pull request #1148 <https://github.com/mavlink/mavros/issues/1148> from Kiwa21/pr-param-value
    param plugin : add msg and publisher to catch latest param value
  * msgs: update Header
  * sys_state: Small cleanup of #1150 <https://github.com/mavlink/mavros/issues/1150>
  * VehicleInfo : add srv into sys_status plugin to request basic info from vehicle
  * mavros_msgs/msg/LogData.msg: Define "offset" field to be of type uint32
  * param plugin : add msg and publisher to catch latest param value
  * style clean up
  * Use component_id to determine message sender
  * change message name from COMPANION_STATUS to COMPANION_PROCESS_STATUS
  * change message to include pid
  * Change from specific avoidance status message to a more generic companion status message
  * Add message for avoidance status
  * Contributors: Gregoire Linard, Vladimir Ermakov, baumanta, mlvov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-lunar-mavros-msgs (0.27.0-0xenial) xenial; urgency=high

  * Add service to send mavlink TRIGG_INTERVAL commands
    Adapt trigger_control service to current mavlink cmd spec. Add a new service to change trigger interval and integration time
  * Contributors: Moritz Zimmermann

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 12 Nov 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.26.3-0xenial) xenial; urgency=high

  * fixup! 5a4344a2dcedc157f93b620cebd2e0b273ec24be
  * mavros_msgs: Add msg and srv files related to log transfer
  * Contributors: mlvov

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 21 Aug 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.26.2-0xenial) xenial; urgency=high

  * Updating the gps_rtk plugin to fit mavros guidelines:
    - Updating max_frag_len to allow changes in size in MAVLink seamlessly
    - Using std::copy instead of memset
    - Zero fill with std::fill
    - Preapply the sequence flags
    - Use of std iterators
    - Add the maximal data size in the mavros_msgs
  * Renaming the GPS RTK module, Adding fragmentation, Changing the RTCM message
  * RTK Plugin; to forward RTCM messages
    Signed-off-by: Alexis Paques <mailto:alexis.paques@gmail.com>
  * Contributors: Alexis Paques

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 08 Aug 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.26.1-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Jul 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.26.0-0xenial) xenial; urgency=high

  * mavros_msgs : add timesync status message
  * Contributors: Mohammed Kabir

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Jun 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.25.1-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 May 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.25.0-0xenial) xenial; urgency=high

  * trajectory: add time_horizon field
  * change message name from ObstacleAvoidance to Trajectory since it is
    general enough to support any type of trajectory
  * CMakeLists: add ObstacleAvoidance message
  * add ObstacleAvoidance message
  * msgs: Update message doc link
  * CommandCode: update list of available commands on MAV_CMD enum (#995 <https://github.com/mavlink/mavros/issues/995>)
  * Contributors: Martina, Nuno Marques, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 11 May 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.24.0-0xenial) xenial; urgency=high

  * Add ability to send STATUSTEXT messages
  * Contributors: Anass Al

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 05 Apr 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.23.3-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 09 Mar 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.23.2-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 07 Mar 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.23.1-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 27 Feb 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.23.0-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 03 Feb 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.22.0-0xenial) xenial; urgency=high

  * SetMavFrame.srv: add FRAME_ prefix
  * Add cog for SetMavFrame.srv
  * Setpoints: add service to specify frame
  * Contributors: Pierre Kancir, khancyr

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Dec 2017 00:00:00 -0000

ros-lunar-mavros-msgs (0.21.5-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 16 Nov 2017 00:00:00 -0000

ros-lunar-mavros-msgs (0.21.4-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Nov 2017 00:00:00 -0000


