=== debian/control ===
Source: ros-lunar-mavros-msgs
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Homepage: http://wiki.ros.org/mavros_msgs
Standards-Version: 3.9.2

Package: ros-lunar-mavros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-message-runtime, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Description: mavros_msgs defines messages for MAVROS.
